Subject: wu-ftpd, fnmatch() and FreeBSD

From: Jon Hall <[email-masked]>
Date: Wed, 23 Aug 1995 09:26:12 EDT

I'm mucking about with wu-ftpd on a box running FreeBSD 2.0 and I'm confused.
It appears that the expectation regarding the return code from a call to
fnmatch() is inverted (from a FreeBSD perspective). Specifically, the code
presumes a non-zero integer is returned when a match occurs; whereas, under
FreeBSD a zero is the indication of a match. This appears grievously in the
routine hostmatch() in src/access.c where it becomes impossible to login unless
one uses an access file.

This seems like a problem every BSD'r would bump into, so I must be missing
something. Is there someone here that's traveled this road...

Thanks,
Jon